/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* --- Customised for historyconference.org.au --- */

body { background-color:#fdffff !important; }

/* homepage settings */

.page-id-1191 .entry-title { display:none; line-height: 0;}

.n2-section-smartslider { margin: 0 0 30px 0 !important; }

.page-id-1191 .entry-content { padding: 40px !important; }


/* header settings */

/* - disabled for now -
.site-logo { margin-right: 20px; }
.site-branding { color: #ffffff !important; }
.site-branding p, .site-branding a { color: #ffffff !important; } */

.site-decription, .site-decription p, .navigation-branding .site-decription, .navigation-branding .site-decription p { font-weight: 700 !important; } 

.site-title { font-style: italic !important; font-weight: bold !important; }


.header-widget .widget {
    margin: 0 !important;
    padding: 0 !important;
}

.header-widget .widget img {
    margin: 0 !important;
    padding: 0 !important;
}

.header-widget .widget_lsi_widget { padding: 0; }

/* reverse header widget order */

/* - disabled for now -

@media (max-width: 768px) {
    .inside-header {
        display: flex;
        flex-direction: column-reverse;
    }
    .header-widget {
        margin-bottom: 0 !important;
        margin-top: 0.5em;
    }
} */

/* content settings */

.entry-content h1 { font-weight: bold !important;}

.entry-content { padding: 40px !important; }

.entry-title { padding: 40px; font-weight: bold !important; }


/* .inside-article { padding: 40px !important; } 
	
.site-content { background-color:#fdf8f9 !important; } */

p { margin-bottom: 10px; }

h2, h3 { margin-top: 20px; }

.entry-content li { margin-bottom: 3px;  }

.inside-article ul { margin-left: 15px !important; }

.well { 
	background-color:#fff0e4; 
	padding: 40px; 
	border: 1px solid #ffe5d0; 
	}


/* GP buttons */

.wp-block-button-large { 
	margin: 30px 0 30px 0;
	font-family: "Bitter", serif;
	font-weight: normal; 
	}
	
.wp-block-button-large-center { 
	margin: 30px 0 30px 0;
	text-align: center; 
	}

.wp-block-button-large__link {
	font-size: 24px !important;
	background: #973d52;
	text-transform: uppercase;
	color:#FFF;
	padding: 20px 40px 20px 40px;
	}
	
.wp-block-button-large__link:hover,
.wp-block-button-large__link:active {
	background: #3c1820;
	color:#FFF;
}

.wp-block-button-lg-grey__link {
	font-size: 24px !important;
	background: #7F8C8D;
	text-transform: uppercase;
	color:#FFF;
	padding: 20px 40px 20px 40px;
	}
	
.wp-block-button-lg-grey__link:hover,
.wp-block-button-lg-grey__link:active {
	background: #6D7B7C;
	color:#FFF;
}

/* CF7 */

.wpcf7 form {padding: 30px; background-color: #f2bcc3; }

.wpcf7 input { width: 100%; margin: 10px 0 10px 0; }
.wpcf7-text { width: 100%; }

.wpcf7-select { width: 100%; margin: 10px 0 10px 0; }

.wpcf7-submit {
    margin: 30px 0 30px 0;
	font-size: 24px !important;
	background: #973d52 !important;
	text-transform: uppercase;
	color:#FFF !important;
	padding: 20px 40px 20px 40px;
	}
	
.wpcf7-submit:hover, .wpcf7-submit:active {
	background: #3c1820!important;
	color:#FFF !important;
	}	

/* Media queries */

@media (max-width: 360px) {
	.site-logo { display: none; }
	/* Disabled
	.header-widget .widget { display: none; } */
	.wp-block-button-large__link { 
		font-size: 16px !important; 
		}
}